Download it now!
Bug 118764 - Broken tab key navigation in Properties and Navigator decks
Summary: Broken tab key navigation in Properties and Navigator decks
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.1 target:6.1....
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2018-07-14 18:12 UTC by Jim Raykowski
Modified: 2018-12-04 03:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2018-07-14 18:12:46 UTC
Version: 6.1.0.0.alpha1+ (x64)
Build ID: 7237db44dfac914e5b6003f418267d3df1e7f162
CPU threads: 4; OS: Windows 10.0; UI render: default;
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-05-05_12:19:17
Locale: en-US (en_US); Calc: group

Steps to reproduce in Properties deck:

1) select sidebar Properties deck
2) click on any of the edit boxes in the Paragraph panel
3) press ESC

Paragraph panel title gets focus

4) press Tab Tab

results: 
Paragraph panel Above Paragraph Spacing edit box has focus

expected results: 
Paragraph panel Align Left button has focus


Steps to reproduce in Navigator deck:

1) select sidebar Navigator deck
2) click on Headings entry in the content tree list
3) press ESC

Navigator deck title gets focus

4) press Tab Tab

results:
content tree list Headings entry gets focus

expected results:
Navigation drop down button gets focus

NOT reproduced in:

Version: 6.1.0.0.alpha1+ (x64)
Build ID: e9ac3a9c1ee7689c4d591a68250666c95632bd2a
CPU threads: 4; OS: Windows 10.0; UI render: default;
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-04-26_23:11:11
Locale: en-US (en_US); Calc: group
Comment 1 Xisco Faulí 2018-07-15 10:32:06 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3014e5f362c77c546452d45fcde96fcbae27235e

author	Caolán McNamara <caolanm@redhat.com>	2018-04-29 21:15:22 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-04-30 11:41:54 +0200
commit	3014e5f362c77c546452d45fcde96fcbae27235e (patch)
tree	afbefbd2f10bbf971dd52ea0732031ee009c3d30
parent	5e71673ae0bbd4c0c1b32a1269155b4cd2cb5f45 (diff)
hook up can-focus to ability to tab into the widget

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 2 Jim Raykowski 2018-07-15 16:42:40 UTC
Thanks for pointing the cause. If Caolán is ok with me taking this I can provide a patch that sets the can_focus property to True in the needed ui object classes.
Comment 3 Caolán McNamara 2018-07-16 10:54:32 UTC
if you have a fix, feel free to take this
Comment 4 Jim Raykowski 2018-07-16 23:01:51 UTC
Here is a patch for all sidebar panels that were affected and an additional patch that adds tab stop to listbox in Calc sidebar Navigator panel.

https://gerrit.libreoffice.org/#/c/57535/
Comment 5 Commit Notification 2018-07-23 08:19:14 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5a432c7d2b2c1cbfd18f38c6f671ebb0a0cddd4

tdf#118764 Add missing tab stops in sidebar panels

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-07-27 14:25:04 UTC
Hi Jim Raykowski,
Should it be backported to 6-1 ?
Comment 7 Jim Raykowski 2018-07-28 07:54:37 UTC
According to gitk the change that required this patch
Follows: libreoffice-6-0-branch-point
Precedes: libreoffice-6-1-branch-point
 
I see there are two branches for 6.1, libre-office-6-1 and libre-office-6-1-0. 

Do I apply the patch to these and then logerrit submit <branch> ?
Comment 8 Caolán McNamara 2018-07-28 14:46:45 UTC
yeah, that would do it. I've done the backport and submitted for 6-1 (https://gerrit.libreoffice.org/#/c/58216/1) and 6-1-0 (https://gerrit.libreoffice.org/#/c/58217/1)
Comment 9 Commit Notification 2018-07-28 18:38:18 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=082c736bca22ee3c3fb86c7d68cc875eaa6bde38&h=libreoffice-6-1

tdf#118764 Add missing tab stops in sidebar panels

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2018-07-29 18:07:55 UTC
(In reply to Jim Raykowski from comment #7)
> According to gitk the change that required this patch
> Follows: libreoffice-6-0-branch-point
> Precedes: libreoffice-6-1-branch-point
>  
> I see there are two branches for 6.1, libre-office-6-1 and
> libre-office-6-1-0. 
> 
> Do I apply the patch to these and then logerrit submit <branch> ?

You can also do it from gerrit directly.
Comment 11 Xisco Faulí 2018-07-30 09:52:19 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 72b099d279e7096d41a04fe8c0dd493a5fc18a33
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Jim, Thanks for fixing this!!
Comment 12 Commit Notification 2018-08-02 11:38:03 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d556bcda705442295fa9f47f45e15bba72bdab6b&h=libreoffice-6-1-0

tdf#118764 Add missing tab stops in sidebar panels

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Jim Raykowski 2018-09-30 00:29:16 UTC
Missed the Style panel

https://gerrit.libreoffice.org/#/c/61147/
Comment 14 Commit Notification 2018-10-01 09:00:25 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9cb4522087d1ef1cafe4333f9b91a62a4657403

tdf#118764 Sidebar style panel tab stops

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Xisco Faulí 2018-10-08 11:12:52 UTC
@Jim Raykowski, should the latest commit be backported to 6.1 as well ?
Comment 16 Jim Raykowski 2018-10-08 21:09:42 UTC
Hi Xisco, I don't have backport permission. If you would do the backport that would be great.
Comment 17 Xisco Faulí 2018-10-09 09:03:13 UTC
(In reply to Jim Raykowski from comment #16)
> Hi Xisco, I don't have backport permission. If you would do the backport
> that would be great.

Done -> https://gerrit.libreoffice.org/#/c/61574/
Comment 18 Commit Notification 2018-10-09 12:24:33 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ce528fcdf83c2fc38e4e68d7caeacd6bad68155&h=libreoffice-6-1

tdf#118764 Sidebar style panel tab stops

It will be available in 6.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2018-11-12 09:35:08 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3a99ae072ac170ebed8d1f5bf65913d3412fab67%5E%21

tdf#118764 Tab stop fixes for Area and Line panels

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2018-11-22 21:08:57 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e08002d10faf26932f5f154ade4dcd1f88565af2%5E%21

tdf#118764 Pos&Size and Shadow panels tab stop fixes

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2018-11-23 08:55:40 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/393965067c43f866790c744991532cc3776db5fd%5E%21

tdf#118764 Animation panel tab stop fixes

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2018-11-23 08:55:47 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/da89a85bbba71a965b75f06e628e001f48c57c2c%5E%21

tdf#118764 Writer Page Styles panel tab stop fixes

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2018-11-23 08:57:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/e111b2629f7e2b36b5898a0b907714cbb5f94d8f%5E%21

Related: tdf#118764 last of the GtkButtons with can-focus False

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2018-11-23 08:57:30 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ea9bfd76d218088954268cdbf8bf34f41fee1b8e%5E%21

tdf#118764 Pos&Size and Shadow panels tab stop fixes

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2018-11-23 08:57:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a0131f3200bddb068eee9bb72f9bfa1cf24fd643%5E%21

Related: tdf#118764 last of the GtkButtons with can-focus False

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2018-11-23 09:03:38 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/10aebd07f7bef6338de967b2dedfed2589d080eb%5E%21

tdf#118764 Animation panel tab stop fixes

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2018-11-23 11:31:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/af1cac1fd5cdab9ce02332eb41d1cdbdbde98bf3%5E%21

Related: tdf#118764 last of the GtkCheckButtons with can-focus False

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2018-11-23 11:31:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/01e479272ae419384d2fa088370b52fc7160709f%5E%21

Related: tdf#118764 last of the GtkRadioButtons with can-focus False

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2018-11-23 11:32:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/173937d66a48b2e4c1f2ca60a44373fff72a505c%5E%21

Related: tdf#118764 last of the GtkRadioButtons with can-focus False

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2018-11-23 12:29:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/da6c3fe58abdea9aeefd21454b84396ee4f1f1a2%5E%21

Related: tdf#118764 last of the GtkCheckButtons with can-focus False

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2018-12-04 03:16:24 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/79d9a9abbe0e7d8e00f1a7b4d6d653cec786ce8b%5E%21

tdf#118764 Writer Page Styles panel tab stop fixes

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.